Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_ConstructionPolicy_out Class Reference

`#include <DomainC.h>`

Collaboration diagram for CORBA_ConstructionPolicy_out:

[legend]
List of all members.

## Public Methods
| CORBA_ConstructionPolicy_out (CORBA_ConstructionPolicy_ptr &)
| CORBA_ConstructionPolicy_out (CORBA_ConstructionPolicy_var &)
| CORBA_ConstructionPolicy_out (const CORBA_ConstructionPolicy_out &)
CORBA_ConstructionPolicy_out& | operator= (const CORBA_ConstructionPolicy_out &)
CORBA_ConstructionPolicy_out& | operator= (const CORBA_ConstructionPolicy_var &)
CORBA_ConstructionPolicy_out& | operator= (CORBA_ConstructionPolicy_ptr)
| operator CORBA_ConstructionPolicy_ptr & ()
CORBA_ConstructionPolicy_ptr& | ptr (void)
CORBA_ConstructionPolicy_ptr | operator-> (void)
## Private Attributes
CORBA_ConstructionPolicy_ptr& | ptr_

## Constructor & Destructor Documentation

CORBA_ConstructionPolicy_out::CORBA_ConstructionPolicy_out ( | CORBA_ConstructionPolicy_ptr & p )

CORBA_ConstructionPolicy_out::CORBA_ConstructionPolicy_out ( | CORBA_ConstructionPolicy_var & p )

CORBA_ConstructionPolicy_out::CORBA_ConstructionPolicy_out ( | const CORBA_ConstructionPolicy_out & )

## Member Function Documentation

CORBA_ConstructionPolicy_out::operator CORBA_ConstructionPolicy_ptr & ( | )

CORBA_ConstructionPolicy_ptr CORBA_ConstructionPolicy_out::operator-> ( | void )

CORBA_ConstructionPolicy_out & CORBA_ConstructionPolicy_out::operator= ( | CORBA_ConstructionPolicy_ptr p )

CORBA_ConstructionPolicy_out& CORBA_ConstructionPolicy_out::operator= ( | const CORBA_ConstructionPolicy_var & )

CORBA_ConstructionPolicy_out& CORBA_ConstructionPolicy_out::operator= ( | const CORBA_ConstructionPolicy_out & )

CORBA_ConstructionPolicy_ptr & CORBA_ConstructionPolicy_out::ptr ( | void )

## Member Data Documentation

CORBA_ConstructionPolicy_ptr & CORBA_ConstructionPolicy_out::ptr_`[private]`

The documentation for this class was generated from the following files:

- DomainC.h
- DomainC.cpp